
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>poj(2828)——Buy Tickets（线段树维护点&amp;点更新） / 憋错料</title>

    <meta name="description" content="poj(2828)——Buy Tickets（线段树维护点&amp;点更新） 最近几天没怎么做线段树了,忙于消化新算法和比赛的题目. 正好比赛出了这道题,所以顺便做了这道题. 题目的大致意思: 现在有n个人,然后分别给出每个人所在的位置pos[i]与val[i],然后最后让你输出它们所在的位置. 比如说样例: 4 0 77 1 51 1 33 2 69 0代表的是当前价值为77的人站在0th人的后面(第0个人就是卖票处). 同理1代表的是当前价值为51的人站在1th人的后面 但是第三组样例就要注意了,这里会发生更新,也就是说现在33价值的人会站在1th人的后面,所以会把第">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">poj(2828)——Buy Tickets（线段树维护点&amp;点更新）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>最近几天没怎么做线段树了，忙于消化新算法和比赛的题目。</p>
<p>正好比赛出了这道题，所以顺便做了这道题。</p>
<p>题目的大致意思：</p>
<p>现在有n个人，然后分别给出每个人所在的位置pos[i]与val[i]，然后最后让你输出它们所在的位置。</p>
<p>比如说样例：</p>
<pre>4
0 77
1 51
1 33
2 69</pre>
<p>0代表的是当前价&#20540;为77的人站在0th人的后面（第0个人就是卖票处）。</p>
<p>同理1代表的是当前价&#20540;为51的人站在1th人的后面</p>
<p>但是第三组样例就要注意了，这里会发生更新，也就是说现在33价&#20540;的人会站在1th人的后面，所以会把第二个人给挤掉。</p>
<p>同理，第四个人也是如此。</p>
<p>所以最后输出就是如图所示的了。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcG9qLm9yZy9pbWFnZXMvMjgyOC5naWY=.jpg"></p>
<p>这里用到线段树的原因是：</p>
<p>我们要快速的找到每个人所在的位置，所以用线段树来定位比较方便。而且，这里还有一个技巧就是从后往前查找，这样子的话就能保证当前覆盖的一定是最新的。</p>
<p>查询的过程很巧妙，详细请参考代码：</p>
<pre>#include&lt;stdio.h&gt;
#include&lt;string.h&gt;
#include&lt;iostream&gt;
#include&lt;algorithm&gt;
using namespace std;
#define maxn 222222
int ans[maxn],pos[maxn],val[maxn];
struct node{
	int l,r;
	int sum;
}tree[maxn*4];
void pushup(int v){
	int temp=v&lt;&lt;1;
	tree[v].sum=tree[temp].sum+tree[temp+1].sum;
}
void build(int l,int r,int v){
	tree[v].l=l;
	tree[v].r=r;
	if(l==r){
		tree[v].sum=1;
		return ;
	}
	int mid=(l+r)&gt;&gt;1;
	int temp=v&lt;&lt;1;
	build(l,mid,temp);
	build(mid+1,r,temp+1);
	pushup(v);
}
void query(int t,int v,int cnt){
	if(tree[v].l==tree[v].r){		//这里一开始写错了，写成了tree[v].l==t,其实这里查询的是最前的那个子节点就好了
		ans[tree[v].l]=cnt;
		tree[v].sum--;			//注意这里区间每次当找到了子节点说明找到了当前那个人的位置，那么当前点的sum就要减1
		return ;
	}
	int temp=v&lt;&lt;1;
	if(t&lt;=tree[temp].sum) query(t,temp,cnt);
	else query(t-tree[temp].sum,temp+1,cnt);	//这里要query(t-tree[temp].sum,temp+1,cnt),别忘了减掉左节点的sum值
	pushup(v);
}
int main(){
	int n;
	while(~scanf(&quot;%d&quot;,&amp;n)){
		memset(ans,0,sizeof(ans));
		memset(pos,0,sizeof(pos));
		memset(val,0,sizeof(val));
		for(int i=1;i&lt;=n;i++){
			scanf(&quot;%d%d&quot;,&amp;pos[i],&amp;val[i]);
		}
		build(1,n,1);
		for(int i=n;i&gt;=1;i--){
			query(pos[i]+1,1,val[i]);
		}
		for(int i=1;i&lt;=n;i++){
			if(i!=n) printf(&quot;%d &quot;,ans[i]);
			else printf(&quot;%d\n&quot;,ans[i]);
		}
	}
}</pre>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 14:51:47 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/acm/" title="acm">acm</a>, <a href="https://www.biecuoliao.com/tag/%e7%ba%bf%e6%ae%b5%e6%a0%91/" title="线段树">线段树</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>poj(2828)——Buy Tickets（线段树维护点&amp;点更新）的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vKbOa4.html" rel="bookmark">POJ 2828 Buy Tickets &lpar;线段树&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目大意: 排队有人插队,每一次都插到第 i 个人的后面. 最后输出顺序. 思路分析: 你会发现,如果反向处理的话,你就知道这个人是第几个了. 那么问题一下子就简化了. 就是在线段树上找第几个空位置就行了. #include &lt;cstdio&gt; #include &lt;iostream&gt; #include &lt;cstring&gt; #include &lt;algorithm&gt; #include &lt;vector&gt; #define lson num&lt;&lt;1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47qdxo0.html" rel="bookmark">POJ 2828 Buy Tickets 线段树解法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				此题应用线段树的方法非常巧妙.没做过真的难想得出是这么想的. 是一个逆向思维的运用. 其实一看到这道题目我就想到要运用逆向思维的了,但是就是没那么容易想通的. 思路: 1 要从后面往前更新线段树 2 线段树记录的是当前区间还剩下多少个记录空间 3 因为后面的插入会使得前面的插入往后退,那么前面插入的下标如果大于前面可以插入的空间,就需要往后退了. 好难理解的操作.仔细观察一下下面update这个函数吧. 二分地去查找适合的插入位置,把插入操作时间效率提高到 O(lgn),如果使用一般方法插入操作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qPjd50.html" rel="bookmark">POJ 2828 Buy Tickets&lpar;线段树&amp;&num;183&semi;插队&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意  n个人排队  每个人都有个属性值  依次输入n个pos[i]  val[i]  表示第i个人直接插到当前第pos[i]个人后面  他的属性值为val[i]  要求最后依次输出队中各个人的属性值 从头到尾看的话  队列是动态的   无法操作  但是反过来看时  pos[i]就可以表示第i个人前面还有多少个人了  然后想到了用线段树做就简单了  线段树维护对应区间还有多少个空位  每次把i放到前面刚好有pos[i]个空位的位置就行了  具体看代码 #include &lt;cstdio&gt; #de			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KwVdO0.html" rel="bookmark">POJ 2828 Buy Tickets &vert; 线段树的喵用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题意: 给你n次插队操作,每次两个数,pos,w,意为在pos后插入一个权值为w的数; 最后输出1~n的权值 题解: 首先可以发现,最后一次插入的位置是准确的位置 所以这个就变成了若干个子问题, 所以用线段树维护一下每个区间剩余多少位置可选 对于一个pos 如果左儿子的剩余超过当前位置,就递归进左子树 反之就相当于留出了左儿子剩余的位置,递归进右子树,当前位置变成pos-左儿子剩余位置 请注意是在后面插入 1 #include&lt;cstdio&gt; 2 #include&lt;algorithm&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38DmW23.html" rel="bookmark">POJ 2828 Buy Tickets &lpar;线段树 or 树状数组&plus;二分&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://poj.org/problem?id=2828 题意就是给你n个人,然后每个人按顺序插队,问你最终的顺序是怎么样的. 反过来做就很容易了,从最后一个人开始推,最后一个人位置很容易就确定了,那最后第二个人的位置也可以推(与最后一个人的位置无关)...依次就都可以确定所有的人了. 用前缀和的思想,要是这个人的位置确定了,那么就标记这个人位置的值为0,然后回溯更新,跟求逆序对个数的思想比较类似. 线段树: 1 #include &lt;iostream&gt; 2 #include &l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXQkX0.html" rel="bookmark">POJ 2828 Buy Tickets&lpar;线段树单点&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://vjudge.net/problem/POJ-2828 题目意思:有n个数,进行n次操作,每次操作有两个数pos, ans.pos的意思是把ans放到第pos 位置的后面,pos后面的数就往后推一位.最后输出每个位置的ans. 思路:根据题 目可知,最后插入的位置的数才是最终不变的数,所以可以从最后的输入作第1个放入,依此类推,倒插入.在插入时也有一定的技术,首先创建一棵空线段树时,每个节点记录当前范围内有多少个空位置.在插入时,要注意,一个数放入之后那么这个位置就不用管了,那么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pL81R4.html" rel="bookmark">POJ 2828 poj 2828 Buy Tickets 【树状数组，已知前n项和为K，返回n值】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:http://poj.org/problem?id=2828 在一个队列中,一个人想要插队,告诉你每个新来的人会插在i个人后面,求出最后的队列. 如果我们用模拟的话,那么时间复杂度肯定是超了:想想,如果我们逆序,那么最后来的人的位置一定是固定的,这样的话,我们将问题转化成逆序扫描给出数据,插在i个人后面这个数据就变成了在这个人前面需要留出多少个空位.如此我们只需要用树状数组记录前n项总共有多少个空位,每扫描一个数据,就找出能使得他前面正好有i个空位. 这题用树状数组或者线段树都可以,今			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YWx5N4.html" rel="bookmark">POJ 2828&mdash;&mdash;Buy Tickets（树状数组，线段树&mdash;&mdash;逆序遍历）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Buy Tickets Time Limit: 4000MS   Memory Limit: 65536K Total Submissions: 13496   Accepted: 6726 Description Railway tickets were difficult to buy around the Lunar New Year in China, so we must get up early and join a long queue- The Lunar New Year wa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JDApP0.html" rel="bookmark">poj 2828 Buy Tickets 【线段树点更新】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目:poj 2828 Buy Tickets 题意:有n个人排队,每个人有一个价值和要插的位置,然后当要插的位置上有人时所有的人向后移动一位当这个插入到这儿,如果没有直接插进去. 分析:分析发现直接插入移动的话花时间太多,我们可不可以用逆向思维.从后往前来,因为最后一个位置是肯定能确定的,而其他的则插入空的第某个位置. 比如第一组样例: 4 0 77 1 51 1 33 2 69 开始时候位置都为空 编号0 1 2 3 首先从最后一个来2 69 第二个位置空,则可以直接放 然后编号变为0 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41e9bO4.html" rel="bookmark">POJ 2828 Buy Tickets（神题！线段树or树状数组）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目链接:POJ 2828 Buy Tickets [题意]给了你 n(1&lt;=n&lt;=200000)个人的插队信息,让你输出最终的队列的排列 [思路]常规思考的话,这道题就是模拟,但是时间复杂度一定会很高.POJ的discuss上说这道题是神题,难得不是用什么数据结构,而是思路,这道题要逆向去思考,从最后一个人往前看,后插进来的人更容易定位,他一定能站到他想的位置,并且不会在挪动.再前一个人呢?他的位置即是接下来的空位的编号.于是有线段树用于维护位置信息.当然用树状数组也是可以做的,但是要加上二			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/g41aWk4.html" rel="bookmark" class="title">Java面试题目整理</a>
					<div>
						一.引言:本文主要整理遇到的面试题目,以及提供自己的见解,将会持续更新,如有问题,可评论交流,一起进步. 二.问题及我的见解: 1. n个结点可以组合成多少棵不同的二叉树? 答:2^n-n棵 2. 什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aKwn4.html" rel="bookmark" class="title">根据WSDL生成代理类方式（2）</a>
					<div>
						运行开发人员工具提示 输入命令行svcutil http://localhost:8080/Test/TestClassPort?wsdl					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGGDEbM.html" rel="bookmark" class="title">netty学习&lpar;一&rpar;--linux下的网络io模型简介</a>
					<div>
						linux的内核将所有的外部设备都看作一个文件来操作,对一个文件的读写操作会调用内核提供的系统命令 ,返回一个file descriptor(fd,文件描述符).而对一个socket的读写也会有相应的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLbK80.html" rel="bookmark" class="title">java中参数传递--值传递，引用传递</a>
					<div>
						java中的参数传递--值传递.引用传递 参数是按值而不是按引用传递的说明 Java 应用程序有且仅有的一种参数传递机制,即按值传递. 在 Java 应用程序中永远不会传递对象,而只传递对象引用.因此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r5Rj90.html" rel="bookmark" class="title">捣鼓捣鼓腾讯开发者实验室（下）&mdash;&mdash;脚本开启云服务器</a>
					<div>
						0x0.前言 在上篇文章&lt;捣鼓捣鼓腾讯开发者实验室&gt;中,笔者简要分析了一下腾讯开发者实验室,在文章的最后我们提到了可以用脚本来开启服务器,但是没有上传脚本代码.也是因为其他原因没有写,今天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGE7W63.html" rel="bookmark" class="title">LeetCode66 Plus One</a>
					<div>
						题目: Given a non-negative number represented as an array of digits, plus one to the number. The digit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OabvPM.html" rel="bookmark" class="title">并发并行多线程</a>
					<div>
						Servlet多线程同步问题(important)最主要的原因之一是:Servlet是单例模式,一个Servlet给所有的用户提供服务,有可能造成资源混乱的模式 Servlet的多线程同步问题:Ser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDVKp3.html" rel="bookmark" class="title">Mycat 分布式事务的实现</a>
					<div>
						引言:Mycat已经成为了一个强大的开源分布式数据库中间件产品.面对企业应用的海量数据事务处理,是目前最好的开源解决方案.但是如果想让多台机器中的数据保存一致,比较常规的解决方法是引入&quot;协调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXEjE4.html" rel="bookmark" class="title">BZOJ 2741【FOTILE模拟赛】L 分块&plus;可持久化Trie树</a>
					<div>
						题目大意 给出一个序列,求[l, r]中的最大连续xor 和. 强制在线 思路 先把整个序列分成n  √  块,预处理每一块的开头到每个数字的最大连续xor 和.这个我们只需处理出前缀xor 和,之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYR1oM.html" rel="bookmark" class="title">嵌入式telnet的安装</a>
					<div>
						一 在已经安装telnet上,执行查询命令将查到的命令拷贝的未安装telnet的134上. [NTP-Fedora20 system]#whereis xinetd xinetd: /usr/sbin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zePrM.html" rel="bookmark" class="title">3&period;字面值</a>
					<div>
						1.字面值:一眼看上去就知道是多少的数据2.字面值的本质:字面值是有效数据类型的.在内存中占用空间的. 整形:100: 浮点型:3.14 布尔类型:ture/false 字符型:'中' 字符串型:&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9nQ74.html" rel="bookmark" class="title">幡然改途是人员态度发一个为双方的后果</a>
					<div>
						http://blog.csdn.net/yj_1989/article/details/48080319 http://blog.csdn.net/yj_1989/article/details/4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jLEPE4.html" rel="bookmark" class="title">一句胜千言</a>
					<div>
						// 第一个Java程序 1 package first; 2 3 public class Hello { 4 public static void main(String[] args){ 5 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OygRoM.html" rel="bookmark" class="title">关于修改Android手机的音量</a>
					<div>
						首先,必须要获取系统的声音服务权限 &lt;uses-permission android:name=&quot;android.permission.MODIFY_AUDIO_SETTINGS&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2mAbM.html" rel="bookmark" class="title">webservice跟ajax的区别和相同点</a>
					<div>
						原文地址:http://blog.csdn.net/freshcommonlife/article/details/4041337 webservice跟ajax有如下相同: 1.两个都使用xml技术 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JlbbA0.html" rel="bookmark" class="title">css3水波纹效果</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49wVmA0.html" rel="bookmark" class="title">Lua学习笔记--环境配置&amp;amp&semi;Hello World</a>
					<div>
						最近发现要恶补的东西实在是太多了,DX还没学完,现在发现还要用Lua脚本语言,于是,我的笔记又加了一个系列,Lua学习笔记. 一.简介 Lua是一门小巧的脚本语言,其设计目的是为了嵌入应用程序中,从而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0K1EYw4.html" rel="bookmark" class="title">mac SVN 设置代理</a>
					<div>
						1. 设置代理一种方法:Finder 菜单里面 -&gt; 前往 -&gt; 前往文件夹 -&gt; /Users/username/.subversion -&gt; 编辑文件 servers 在文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e8jEpM.html" rel="bookmark" class="title">异步重发</a>
					<div>
						后台把c_status 从3置为0重发后  ,瞬间调了2次, 时差没超过1秒 flowid = abb4b8d9-1345-4b29-a145-67e5f6fbd910 ThreadPoolExecu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mm16PKM.html" rel="bookmark" class="title">R语言介绍</a>
					<div>
						学习资料:&lt;R语言实战&gt; R是一种为统计计算和绘图而生的语言和环境,它是一套开源的数据分析解决方案.1.新手上路 作者论坛:http://www.statmethods.net/ 数据下载 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
